System.Security 2.0.0.0 4.0.0.0 System.Object

Use the methods of the class to present user interface dialogs that display detailed information about an X.509 certificate or allow users to select one or more certificates from a collection of X.509 certificates.

Displays user interface dialogs that allow you to select and view X.509 certificates. This class cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method displays a dialog box with detailed information about the specified X.509 certificate. The dialog box includes buttons for installing or copying the certificate.

  Displays a dialog box that contains the properties of an X.509 certificate and its associated certificate chain.

  The X.509 certificate to display.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method displays a dialog box with detailed information about the specified X.509 certificate. This method can be used to nest dialog boxes that display certificate information. The dialog box includes buttons for installing or copying the certificate.

  Displays a dialog box that contains the properties of an X.509 certificate and its associated certificate chain using a handle to a parent window.

  The X.509 certificate to display. A handle to the parent window to use for the display dialog.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2Collection `` `` `` ``

  Use the method if you require users to manually select X.509 certificates using a dialog box. If no user interaction is required, use the method.

  Displays a dialog box for selecting an X.509 certificate from a certificate collection.

  An object that contains the selected certificate or certificates.

  A collection of X.509 certificates to select from. The title of the dialog box. A descriptive message to guide the user. The message is displayed in the dialog box. One of the values that specifies whether single or multiple selections are allowed.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2Collection `` `` `` `` ``

  Use the method if you require users to manually select X.509 certificates using a dialog box. If no user interaction is required, use the method.

  Displays a dialog box for selecting an X.509 certificate from a certificate collection using a handle to a parent window.

  An object that contains the selected certificate or certificates.

  A collection of X.509 certificates to select from. The title of the dialog box. A descriptive message to guide the user. The message is displayed in the dialog box. One of the values that specifies whether single or multiple selections are allowed. A handle to the parent window to use for the display dialog box.